Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book.install
Class EditSitePane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.crosswire.bibledesktop.book.install.EditSitePane

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class EditSitePane

extends JPanel

An editor for the list of available update sites.

Author:
  Joe Walker, DM Smith
See Also:
  `for license details.`, Serialized Form

Nested Class Summary
`private static class` | `EditSitePane.EditState` An EditState give the possible states that an editor can be in.

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private ActionFactory` | `actions`
`private JButton` | `btnClose`
`private JComboBox` | `cboType`
`protected JDialog` | `dlgMain`
`private org.crosswire.jsword.book.install.Installer` | `editInstaller` If we are editing an installer, we need to know it's original value in case someone clicks cancel.
`private String` | `editName` If we are editing an installer, we need to know it's original name in case someone clicks cancel.
`private org.crosswire.jsword.book.install.InstallManager` | `imanager` The model that we are providing a view/controller for
`private JLabel` | `lblMesg`
`private JList` | `lstSite`
`private JPanel` | `pnlAction`
`private static long` | `serialVersionUID` Serialization ID
`private SiteEditor` | `siteEditor`
`private JPanel` | `siteEditorPane`
`private JTextField` | `txtName`
`private boolean` | `userInitiated` Edits to the type combo box mean different things depending on whether it was triggered by the user or the application.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EditSitePane(org.crosswire.jsword.book.install.InstallManager imanager)` This is the default constructor

Method Summary
`private void` | `clear()` Clear the display in the RHS of any installers
`private void` | `display(String name, org.crosswire.jsword.book.install.Installer installer)` Set the display in the RHS to the given installer
`void` | `doAdd()` Add a new installer to the list
`void` | `doClose()` Close the window, and save the install manager state
`void` | `doDelete()` Delete the selected installer from the list (on the left hand side)
`void` | `doEdit()` Move the selected installer to the installer edit panel
`void` | `doReset()` End editing the current installer
`void` | `doSave()` Save the current installer to the list of installers
`private void` | `init()` GUI init
`(package private) void` | `newType()` The installer type combo box has been changed
`private void` | `readObject(ObjectInputStream is)` Serialization support.
`protected void` | `select()` Someone has picked a new installer
`private void` | `setInstaller(org.crosswire.jsword.book.install.Installer installer)` Convenience method to allow us to change the type of the current installer.
`private void` | `setState(EditSitePane.EditState stateEditError, String message)` Set the various gui elements depending on the current edit mode
`void` | `showInDialog(Component parent)` Open us in a new modal dialog window
`void` | `siteUpdate()` The name field has been updated, so we need to check the entry is valid

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### imanager

    private transient org.crosswire.jsword.book.install.InstallManager imanager

  The model that we are providing a view/controller for

### editName

    private String editName

  If we are editing an installer, we need to know it's original name in case someone clicks cancel.

### editInstaller

    private transient org.crosswire.jsword.book.install.Installer editInstaller

  If we are editing an installer, we need to know it's original value in case someone clicks cancel.

### userInitiated

    private boolean userInitiated

  Edits to the type combo box mean different things depending on whether it was triggered by the user or the application.

### actions

    private transient ActionFactory actions

### lstSite

    private JList lstSite

### lblMesg

    private JLabel lblMesg

### txtName

    private JTextField txtName

### cboType

    private JComboBox cboType

### siteEditorPane

    private JPanel siteEditorPane

### siteEditor

    private SiteEditor siteEditor

### dlgMain

    protected JDialog dlgMain

### btnClose

    private JButton btnClose

### pnlAction

    private JPanel pnlAction

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### EditSitePane

    public EditSitePane(org.crosswire.jsword.book.install.InstallManager imanager)

  This is the default constructor

Method Detail

### init

    private void init()

  GUI init

### showInDialog

    public void showInDialog(Component parent)

  Open us in a new modal dialog window

  Parameters:
    `parent` - The component to which to attach the new dialog

### doClose

    public void doClose()

  Close the window, and save the install manager state

### siteUpdate

    public final void siteUpdate()

  The name field has been updated, so we need to check the entry is valid

### newType

    final void newType()

  The installer type combo box has been changed

### select

    protected final void select()

  Someone has picked a new installer

### doAdd

    public void doAdd()

  Add a new installer to the list

### doEdit

    public void doEdit()

  Move the selected installer to the installer edit panel

### doDelete

    public void doDelete()

  Delete the selected installer from the list (on the left hand side)

### doReset

    public void doReset()

  End editing the current installer

### doSave

    public void doSave()

  Save the current installer to the list of installers

### setState

    private void setState(EditSitePane.EditState stateEditError,
                          String message)

  Set the various gui elements depending on the current edit mode

### display

    private void display(String name,
                         org.crosswire.jsword.book.install.Installer installer)

  Set the display in the RHS to the given installer

### clear

    private void clear()

  Clear the display in the RHS of any installers

### setInstaller

    private void setInstaller(org.crosswire.jsword.book.install.Installer installer)

  Convenience method to allow us to change the type of the current installer.

  Parameters:
    `installer` - The new installer to introspect

### readObject

    private void readObject(ObjectInputStream is)
                     throws IOException,
                            ClassNotFoundException

  Serialization support.

  Parameters:
    `is` -
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD